function h(){var obj=event.srcElement;if(obj.tagName=="IMG"){if (obj.src.indexOf('../img/jian.gif')>-1){obj.parentElement.className='div_h';obj.src=obj.src.replace('../img/jian.gif','../img/jia.gif')}else{obj.parentElement.className='div_h2';obj.src=obj.src.replace('../img/jia.gif','../img/jian.gif')}}}var cur_tb
function over_bg(){var obj=event.srcElement
while (obj.id!="tb0"){obj=obj.parentElement;if (obj.tagName=='BODY')return;}try{cur_tb.bgColor=''}catch(err){}obj.bgColor="#f3f1e6";cur_tb=obj;}function sel(obj){s_h_purview(obj);var oDiv=obj.parentElement
var checks=oDiv.getElementsByTagName('INPUT')
for (var i=1,j=checks.length;i<j;i++){checks[i].disabled=false;checks[i].checked=obj.checked;s_h_purview(checks[i]);}while(oDiv.id!='dirList'){selcet_from_sub(oDiv.getElementsByTagName('INPUT')[0])
oDiv=oDiv.parentElement;}}function sel_onload(){var checks=document.getElementsByName('class')
for (var i=0,j=checks.length;i<j;i++){var oDiv=checks[i].parentElement;while(oDiv.id!='dirList'){selcet_from_sub(oDiv.getElementsByTagName('INPUT')[0])
oDiv=oDiv.parentElement;}}}function selcet_from_sub(obj){var oDiv=obj.parentElement
var checks=oDiv.getElementsByTagName('INPUT')
var state_1
if (checks.length<2){return}for (var i=1,j=checks.length;i<j;i++){if(checks[i].checked!=checks[1].checked){obj.checked=true;obj.disabled=true;return;}}obj.disabled=false;obj.checked=checks[1].checked;}function marginLeft(obj){var o=obj.getElementsByTagName('DIV');for(i=0;i<o.length;i++){var c=-2,w;op=o[i]
while(op.tagName!='TD'){op=op.parentElement;c++;}(c<1)?(w=6):(w=28)
o[i].style.marginLeft=w+'px'}}function no_disabele(){var obj=event.srcElement;if (obj.type=="checkbox"){obj.disabled=false}}function reWidth(w){var tbs=document.getElementsByTagName("TABLE")
for (var i=0;i<tbs.length-1;i++){if(tbs[i].id=='tb0'){tbs[i].getElementsByTagName('TD')[0].style.width=tbs[i].parentElement.offsetWidth-w;}}}